# _OpMapRemove
<span class="source-link">[[Source]](src/collections-persistent/_test.md#L358)</span>
```pony
class val _OpMapRemove
```

## Constructors

### create
<span class="source-link">[[Source]](src/collections-persistent/_test.md#L361)</span>


```pony
new val create(
  k': U64 val)
: _OpMapRemove val^
```
#### Parameters

*   k': [U64](builtin-U64.md) val

#### Returns

* [_OpMapRemove](collections-persistent-_OpMapRemove.md) val^

---

## Public fields

### let k: [U64](builtin-U64.md) val
<span class="source-link">[[Source]](src/collections-persistent/_test.md#L359)</span>



---

## Public Functions

### apply
<span class="source-link">[[Source]](src/collections-persistent/_test.md#L364)</span>


```pony
fun box apply(
  a: HashMap[U64 val, U64 val, CollisionHash val] val,
  b: HashMap[U64 val, U64 val, HashEq[U64 val] val] ref)
: HashMap[U64 val, U64 val, CollisionHash val] val ?
```
#### Parameters

*   a: [HashMap](collections-persistent-HashMap.md)\[[U64](builtin-U64.md) val, [U64](builtin-U64.md) val, [CollisionHash](collections-persistent-CollisionHash.md) val\] val
*   b: [HashMap](collections-HashMap.md)\[[U64](builtin-U64.md) val, [U64](builtin-U64.md) val, [HashEq](collections-HashEq.md)\[[U64](builtin-U64.md) val\] val\] ref

#### Returns

* [HashMap](collections-persistent-HashMap.md)\[[U64](builtin-U64.md) val, [U64](builtin-U64.md) val, [CollisionHash](collections-persistent-CollisionHash.md) val\] val ?

---

### str
<span class="source-link">[[Source]](src/collections-persistent/_test.md#L368)</span>


```pony
fun box str()
: String val
```

#### Returns

* [String](builtin-String.md) val

---

